import useCounter from './hooks/use-counter';

function Demo1() {
  const [counter, increment, decrement] = useCounter(1, 2, 1);

  return (
    <>
      <p>{counter}</p>
      <button onClick={increment}>Zwiększ</button>
      <button onClick={decrement}>Zmniejsz</button>
    </>
  );
}

function Demo2() {
  const [counter, increment, decrement] = useCounter(0, 1, 2);

  return (
    <>
      <p>{counter}</p>
      <button onClick={increment}>Zwiększ</button>
      <button onClick={decrement}>Zmniejsz</button>
    </>
  );
}

function App() {
  return (
    <main>
      <Demo1 />
      <Demo2 />
    </main>
  );
}

export default App;
